Organizations
limit?integerPage size (1-100)
int641 <= value <= 10020cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/account/memberships'{ "$schema": "https://example.com/schemas/PageMembershipView.json", "data": [ { "memberId": "string", "organization": { "$schema": "https://example.com/schemas/Organization.json", "brandAccent": "string", "contactEmail": "string", "contactPhone": "string", "createdAt": "2019-08-24T14:15:22Z", "defaultLocationCityId": "string", "description": "string", "feeBearer": "string", "iconPath": "string", "iconUrl": "string", "id": "string", "logoPath": "string", "logoUrl": "string", "name": "string", "payoutCountry": "string", "platformFeeBps": 0, "platformFeeFixedMinor": 0, "preferredCurrency": "string", "slug": "string", "socialLinks": { "property1": "string", "property2": "string" }, "suspended": true, "suspendedAt": "2019-08-24T14:15:22Z", "taxCity": "string", "taxCountry": "string", "taxIdentifier": "string", "taxInclusive": true, "taxRateBps": 0, "taxState": "string", "timezone": "string", "trackingConsentRequired": true, "trackingGa4Id": "string", "trackingGtmId": "string", "trackingMetaPixelId": "string", "trackingTiktokPixelId": "string", "updatedAt": "2019-08-24T14:15:22Z", "websiteUrl": "string" }, "roleKeys": [ "string" ] } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}application/json- body
token*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriaccountId*stringcreatedAt*stringdate-timedisplayName?stringemail?stringmemberId*stringorganizationId*stringroleKeys*array<string>|nullcurl -X POST 'https://example.com/api/v1/invites/accept' \ -H 'Content-Type: application/json' \ -d '{ "token": "string"}'{ "$schema": "https://example.com/schemas/Membership.json", "accountId": "string", "createdAt": "2019-08-24T14:15:22Z", "displayName": "string", "email": "string", "memberId": "string", "organizationId": "string", "roleKeys": [ "string" ]}limit?integerPage size (1-100)
int641 <= value <= 10020cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/organizations'{ "$schema": "https://example.com/schemas/PageOrganization.json", "data": [ { "$schema": "https://example.com/schemas/Organization.json", "brandAccent": "string", "contactEmail": "string", "contactPhone": "string", "createdAt": "2019-08-24T14:15:22Z", "defaultLocationCityId": "string", "description": "string", "feeBearer": "string", "iconPath": "string", "iconUrl": "string", "id": "string", "logoPath": "string", "logoUrl": "string", "name": "string", "payoutCountry": "string", "platformFeeBps": 0, "platformFeeFixedMinor": 0, "preferredCurrency": "string", "slug": "string", "socialLinks": { "property1": "string", "property2": "string" }, "suspended": true, "suspendedAt": "2019-08-24T14:15:22Z", "taxCity": "string", "taxCountry": "string", "taxIdentifier": "string", "taxInclusive": true, "taxRateBps": 0, "taxState": "string", "timezone": "string", "trackingConsentRequired": true, "trackingGa4Id": "string", "trackingGtmId": "string", "trackingMetaPixelId": "string", "trackingTiktokPixelId": "string", "updatedAt": "2019-08-24T14:15:22Z", "websiteUrl": "string" } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}Idempotency-Key?stringapplication/json- body
description?stringname*stringslug?stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
urimembership*organization*curl -X POST 'https://example.com/api/v1/organizations' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'{ "$schema": "https://example.com/schemas/CreateOutputBody.json", "membership": { "$schema": "https://example.com/schemas/Membership.json", "accountId": "string", "createdAt": "2019-08-24T14:15:22Z", "displayName": "string", "email": "string", "memberId": "string", "organizationId": "string", "roleKeys": [ "string" ] }, "organization": { "$schema": "https://example.com/schemas/Organization.json", "brandAccent": "string", "contactEmail": "string", "contactPhone": "string", "createdAt": "2019-08-24T14:15:22Z", "defaultLocationCityId": "string", "description": "string", "feeBearer": "string", "iconPath": "string", "iconUrl": "string", "id": "string", "logoPath": "string", "logoUrl": "string", "name": "string", "payoutCountry": "string", "platformFeeBps": 0, "platformFeeFixedMinor": 0, "preferredCurrency": "string", "slug": "string", "socialLinks": { "property1": "string", "property2": "string" }, "suspended": true, "suspendedAt": "2019-08-24T14:15:22Z", "taxCity": "string", "taxCountry": "string", "taxIdentifier": "string", "taxInclusive": true, "taxRateBps": 0, "taxState": "string", "timezone": "string", "trackingConsentRequired": true, "trackingGa4Id": "string", "trackingGtmId": "string", "trackingMetaPixelId": "string", "trackingTiktokPixelId": "string", "updatedAt": "2019-08-24T14:15:22Z", "websiteUrl": "string" }}slug*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriavailable*booleancurl -X GET 'https://example.com/api/v1/organizations/slug-availability?slug=string'{ "$schema": "https://example.com/schemas/SlugOutputBody.json", "available": true}organization_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uribrandAccent?stringcontactEmail?stringcontactPhone?stringcreatedAt*stringdate-timedefaultLocationCityId?stringdescription?stringfeeBearer*stringiconPath?stringiconUrl?stringid*stringlogoPath?stringlogoUrl?stringname*stringpayoutCountry?stringplatformFeeBps*integerint64platformFeeFixedMinor*integerint64preferredCurrency*stringslug*stringsocialLinks?suspended*booleansuspendedAt?stringdate-timetaxCity?stringtaxCountry*stringtaxIdentifier?stringtaxInclusive*booleantaxRateBps*integerint64taxState?stringtimezone?stringtrackingConsentRequired*booleantrackingGa4Id?stringtrackingGtmId?stringtrackingMetaPixelId?stringtrackingTiktokPixelId?stringupdatedAt*stringdate-timewebsiteUrl?stringcurl -X GET 'https://example.com/api/v1/organizations/string'{ "$schema": "https://example.com/schemas/Organization.json", "brandAccent": "string", "contactEmail": "string", "contactPhone": "string", "createdAt": "2019-08-24T14:15:22Z", "defaultLocationCityId": "string", "description": "string", "feeBearer": "string", "iconPath": "string", "iconUrl": "string", "id": "string", "logoPath": "string", "logoUrl": "string", "name": "string", "payoutCountry": "string", "platformFeeBps": 0, "platformFeeFixedMinor": 0, "preferredCurrency": "string", "slug": "string", "socialLinks": { "property1": "string", "property2": "string" }, "suspended": true, "suspendedAt": "2019-08-24T14:15:22Z", "taxCity": "string", "taxCountry": "string", "taxIdentifier": "string", "taxInclusive": true, "taxRateBps": 0, "taxState": "string", "timezone": "string", "trackingConsentRequired": true, "trackingGa4Id": "string", "trackingGtmId": "string", "trackingMetaPixelId": "string", "trackingTiktokPixelId": "string", "updatedAt": "2019-08-24T14:15:22Z", "websiteUrl": "string"}organization_id*stringapplication/json- body
brandAccent?stringcontactEmail?stringcontactPhone?stringdefaultLocationCityId?stringdescription?stringiconPath?stringlogoPath?stringname?stringslug?stringsocialLinks?timezone?stringwebsiteUrl?stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uribrandAccent?stringcontactEmail?stringcontactPhone?stringcreatedAt*stringdate-timedefaultLocationCityId?stringdescription?stringfeeBearer*stringiconPath?stringiconUrl?stringid*stringlogoPath?stringlogoUrl?stringname*stringpayoutCountry?stringplatformFeeBps*integerint64platformFeeFixedMinor*integerint64preferredCurrency*stringslug*stringsocialLinks?suspended*booleansuspendedAt?stringdate-timetaxCity?stringtaxCountry*stringtaxIdentifier?stringtaxInclusive*booleantaxRateBps*integerint64taxState?stringtimezone?stringtrackingConsentRequired*booleantrackingGa4Id?stringtrackingGtmId?stringtrackingMetaPixelId?stringtrackingTiktokPixelId?stringupdatedAt*stringdate-timewebsiteUrl?stringcurl -X PATCH 'https://example.com/api/v1/organizations/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "$schema": "https://example.com/schemas/Organization.json", "brandAccent": "string", "contactEmail": "string", "contactPhone": "string", "createdAt": "2019-08-24T14:15:22Z", "defaultLocationCityId": "string", "description": "string", "feeBearer": "string", "iconPath": "string", "iconUrl": "string", "id": "string", "logoPath": "string", "logoUrl": "string", "name": "string", "payoutCountry": "string", "platformFeeBps": 0, "platformFeeFixedMinor": 0, "preferredCurrency": "string", "slug": "string", "socialLinks": { "property1": "string", "property2": "string" }, "suspended": true, "suspendedAt": "2019-08-24T14:15:22Z", "taxCity": "string", "taxCountry": "string", "taxIdentifier": "string", "taxInclusive": true, "taxRateBps": 0, "taxState": "string", "timezone": "string", "trackingConsentRequired": true, "trackingGa4Id": "string", "trackingGtmId": "string", "trackingMetaPixelId": "string", "trackingTiktokPixelId": "string", "updatedAt": "2019-08-24T14:15:22Z", "websiteUrl": "string"}organization_id*stringlimit?integerPage size (1-100)
int641 <= value <= 10020cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/organizations/string/assignments'{ "$schema": "https://example.com/schemas/PageRoleAssignment.json", "data": [ { "$schema": "https://example.com/schemas/RoleAssignment.json", "createdAt": "2019-08-24T14:15:22Z", "createdBy": "string", "id": "string", "memberId": "string", "organizationId": "string", "revokedAt": "2019-08-24T14:15:22Z", "roleId": "string", "roleKey": "string", "scopeId": "string", "scopeType": "string" } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}organization_id*stringapplication/json- body
memberId*stringroleKey*stringscopeId?stringscopeType?stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uricreatedAt*stringdate-timecreatedBy?stringid*stringmemberId*stringorganizationId*stringrevokedAt?stringdate-timeroleId*stringroleKey*stringscopeId*stringscopeType*stringcurl -X POST 'https://example.com/api/v1/organizations/string/assignments' \ -H 'Content-Type: application/json' \ -d '{ "memberId": "string", "roleKey": "string"}'{ "$schema": "https://example.com/schemas/RoleAssignment.json", "createdAt": "2019-08-24T14:15:22Z", "createdBy": "string", "id": "string", "memberId": "string", "organizationId": "string", "revokedAt": "2019-08-24T14:15:22Z", "roleId": "string", "roleKey": "string", "scopeId": "string", "scopeType": "string"}organization_id*stringapplication/json- body
memberId*stringroleKey*stringscopeId?stringscopeType?stringNo Content
curl -X DELETE 'https://example.com/api/v1/organizations/string/assignments' \ -H 'Content-Type: application/json' \ -d '{ "memberId": "string", "roleKey": "string"}'organization_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uricapabilities*array<string>|nullversion*stringcurl -X GET 'https://example.com/api/v1/organizations/string/capabilities'{ "$schema": "https://example.com/schemas/CapabilitiesOutputBody.json", "capabilities": [ "string" ], "version": "string"}organization_id*stringapplication/json- body
feeBearer?stringpayoutCountry?stringplatformFeeBps?integerint64platformFeeFixedMinor?integerint64preferredCurrency?stringtaxCity?stringtaxCountry?stringtaxIdentifier?stringtaxInclusive?booleantaxRateBps?integerint64taxState?stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uribrandAccent?stringcontactEmail?stringcontactPhone?stringcreatedAt*stringdate-timedefaultLocationCityId?stringdescription?stringfeeBearer*stringiconPath?stringiconUrl?stringid*stringlogoPath?stringlogoUrl?stringname*stringpayoutCountry?stringplatformFeeBps*integerint64platformFeeFixedMinor*integerint64preferredCurrency*stringslug*stringsocialLinks?suspended*booleansuspendedAt?stringdate-timetaxCity?stringtaxCountry*stringtaxIdentifier?stringtaxInclusive*booleantaxRateBps*integerint64taxState?stringtimezone?stringtrackingConsentRequired*booleantrackingGa4Id?stringtrackingGtmId?stringtrackingMetaPixelId?stringtrackingTiktokPixelId?stringupdatedAt*stringdate-timewebsiteUrl?stringcurl -X PUT 'https://example.com/api/v1/organizations/string/commercial' \ -H 'Content-Type: application/json' \ -d '{}'{ "$schema": "https://example.com/schemas/Organization.json", "brandAccent": "string", "contactEmail": "string", "contactPhone": "string", "createdAt": "2019-08-24T14:15:22Z", "defaultLocationCityId": "string", "description": "string", "feeBearer": "string", "iconPath": "string", "iconUrl": "string", "id": "string", "logoPath": "string", "logoUrl": "string", "name": "string", "payoutCountry": "string", "platformFeeBps": 0, "platformFeeFixedMinor": 0, "preferredCurrency": "string", "slug": "string", "socialLinks": { "property1": "string", "property2": "string" }, "suspended": true, "suspendedAt": "2019-08-24T14:15:22Z", "taxCity": "string", "taxCountry": "string", "taxIdentifier": "string", "taxInclusive": true, "taxRateBps": 0, "taxState": "string", "timezone": "string", "trackingConsentRequired": true, "trackingGa4Id": "string", "trackingGtmId": "string", "trackingMetaPixelId": "string", "trackingTiktokPixelId": "string", "updatedAt": "2019-08-24T14:15:22Z", "websiteUrl": "string"}organization_id*stringscopeType?stringscopeId?stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uricapabilities*array<string>|nullroleKeys*array<string>|nullcurl -X GET 'https://example.com/api/v1/organizations/string/effective-capabilities'{ "$schema": "https://example.com/schemas/EffectiveCapabilitiesOutputBody.json", "capabilities": [ "string" ], "roleKeys": [ "string" ]}organization_id*stringapplication/json- body
contactKind*stringcontactValue*stringroleKeys*array<string>|nullOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriinvite*token*stringcurl -X POST 'https://example.com/api/v1/organizations/string/invites' \ -H 'Content-Type: application/json' \ -d '{ "contactKind": "string", "contactValue": "string", "roleKeys": [ "string" ]}'{ "$schema": "https://example.com/schemas/InviteWithToken.json", "invite": { "contactKind": "string", "contactValue": "string", "createdAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z", "id": "string", "organizationId": "string", "roleKeys": [ "string" ], "status": "string" }, "token": "string"}organization_id*stringinvite_id*stringNo Content
curl -X DELETE 'https://example.com/api/v1/organizations/string/invites/string'organization_id*stringq?stringCase-insensitive member name, email, contact, or role search
ids?array<string>|Resolve these exact member/invite ids. Repeat or comma-separate for several; use to look up labels for selected ids.
limit?integerPage size (1-100)
int641 <= value <= 10020cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/organizations/string/members'{ "$schema": "https://example.com/schemas/PageMemberListEntry.json", "data": [ { "accountId": "string", "contactKind": "string", "contactValue": "string", "createdAt": "2019-08-24T14:15:22Z", "displayName": "string", "email": "string", "id": "string", "organizationId": "string", "roleKeys": [ "string" ], "status": "string" } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}organization_id*stringmember_id*stringNo Content
curl -X DELETE 'https://example.com/api/v1/organizations/string/members/string'organization_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriconsentRequired*booleanenabled*booleanga4Id*stringgtmId*stringmetaPixelId*stringtiktokPixelId*stringcurl -X GET 'https://example.com/api/v1/organizations/string/public-tracking'{ "$schema": "https://example.com/schemas/TrackingProfile.json", "consentRequired": true, "enabled": true, "ga4Id": "string", "gtmId": "string", "metaPixelId": "string", "tiktokPixelId": "string"}organization_id*stringq?stringCase-insensitive role key or name search
ids?array<string>|Resolve these exact Role ids. Repeat or comma-separate for several; use to look up labels for selected ids.
limit?integerPage size (1-100)
int641 <= value <= 10020cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/organizations/string/roles'{ "$schema": "https://example.com/schemas/PageRole.json", "data": [ { "$schema": "https://example.com/schemas/Role.json", "capabilities": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "id": "string", "isProtected": true, "key": "string", "name": "string", "organizationId": "string", "updatedAt": "2019-08-24T14:15:22Z" } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}organization_id*stringapplication/json- body
capabilities*array<string>|nullkey*stringname*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uricapabilities*array<string>|nullcreatedAt*stringdate-timeid*stringisProtected*booleankey*stringname*stringorganizationId*stringupdatedAt*stringdate-timecurl -X POST 'https://example.com/api/v1/organizations/string/roles' \ -H 'Content-Type: application/json' \ -d '{ "capabilities": [ "string" ], "key": "string", "name": "string"}'{ "$schema": "https://example.com/schemas/Role.json", "capabilities": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "id": "string", "isProtected": true, "key": "string", "name": "string", "organizationId": "string", "updatedAt": "2019-08-24T14:15:22Z"}organization_id*stringrole_id*stringapplication/json- body
capabilities?array<string>|nullname?stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uricapabilities*array<string>|nullcreatedAt*stringdate-timeid*stringisProtected*booleankey*stringname*stringorganizationId*stringupdatedAt*stringdate-timecurl -X PATCH 'https://example.com/api/v1/organizations/string/roles/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "$schema": "https://example.com/schemas/Role.json", "capabilities": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "id": "string", "isProtected": true, "key": "string", "name": "string", "organizationId": "string", "updatedAt": "2019-08-24T14:15:22Z"}organization_id*stringrole_id*stringNo Content
curl -X DELETE 'https://example.com/api/v1/organizations/string/roles/string'organization_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriconsentRequired*booleanenabled*booleanga4Id*stringgtmId*stringmetaPixelId*stringtiktokPixelId*stringcurl -X GET 'https://example.com/api/v1/organizations/string/tracking'{ "$schema": "https://example.com/schemas/TrackingProfile.json", "consentRequired": true, "enabled": true, "ga4Id": "string", "gtmId": "string", "metaPixelId": "string", "tiktokPixelId": "string"}organization_id*stringapplication/json- body
consentRequired*boolean|nullga4Id*string|nullgtmId*string|nullmetaPixelId*string|nulltiktokPixelId*string|nullOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriconsentRequired*booleanenabled*booleanga4Id*stringgtmId*stringmetaPixelId*stringtiktokPixelId*stringcurl -X PUT 'https://example.com/api/v1/organizations/string/tracking' \ -H 'Content-Type: application/json' \ -d '{ "consentRequired": true, "ga4Id": "string", "gtmId": "string", "metaPixelId": "string", "tiktokPixelId": "string"}'{ "$schema": "https://example.com/schemas/TrackingProfile.json", "consentRequired": true, "enabled": true, "ga4Id": "string", "gtmId": "string", "metaPixelId": "string", "tiktokPixelId": "string"}